/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/



#include	"gbview.h"

int
dummy()
{
	return 0;
}

int browse_coord();
int browse_draw_gb();
int browse_map();

#include	"xl.h"
#include	"gbview.h"

char status_msg_table[][STS_MSG_TBL_LENGTH] = {
	"idle",
	"load",
	"error",
};


XL_SEXP * gv_new_coordinate();
XL_SEXP * gv_new_map();
XL_SEXP * gv_new_luster();
XL_SEXP * gv_new_vector();

GV_FUNC gv_new_table[RT_MAX] = {
	0,
	gv_new_coordinate,	/* coordinate */
	gv_new_map,		/* map */
	gv_new_vector,		/* draw_gb*/
	gv_new_luster		/* pixel data */
};

